FROM alpine:3.18

RUN apk update
RUN apk add --no-cache npm

RUN mkdir /socketio
WORKDIR /socketio
COPY ./server.js /socketio
COPY ./package.json /socketio

EXPOSE 3000
CMD sh -c 'npm i && node server.js'
